Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSEnhancedCallForwardingStatus Class Reference

The parameters for Enhanced Call Forwarding feature invocation. More...

`#import <CSEnhancedCallForwardingStatus.h>`

Inherits NSObject, and <NSCoding>.

## Instance Methods
(instancetype) | - initWithFeatureStatus:ownerExtension:busyCallForwardingStatus:noReplyCallForwardingStatus:unconditionalCallForwardingStatus:
| Constructs an CSEnhancedCallForwardingStatus object from the specified parameters. More...

## Properties
CSFeatureStatus | status
| The feature's status. More...
NSString * | ownerExtension
| The owner extension this feature status is targeted for. More...
CSCallForwardingStatus * | busyCallForwardingStatus
| The busy call forward parameter for Enhanced call forward. More...
CSCallForwardingStatus * | noReplyCallForwardingStatus
| The no reply call forward parameter for Enhanced call forward. More...
CSCallForwardingStatus * | unconditionalCallForwardingStatus
| The unconditional call forward parameter for Enhanced call forward. More...

## Detailed Description

The parameters for Enhanced Call Forwarding feature invocation.

## Method Documentation

- (instancetype) initWithFeatureStatus: |  | (CSFeatureStatus) | status
ownerExtension: |  | (NSString *) | extension
busyCallForwardingStatus: |  | (CSCallForwardingStatus *) | busyCallForwardingStatus
noReplyCallForwardingStatus: |  | (CSCallForwardingStatus *) | noReplyCallForwardingStatus
unconditionalCallForwardingStatus: |  | (CSCallForwardingStatus *) | unconditionalCallForwardingStatus

Constructs an CSEnhancedCallForwardingStatus object from the specified parameters.

The object is initialized with the status of all three call forwarding conditions i.e On-Busy/On-NoReply/Unconditional forward.

Parameters

  status | The feature status.
  extension | The owner extension this feature is targeted for.
  busyCallForwardingStatus | Busy call forwarding status.
  noReplyCallForwardingStatus | No reply call forwarding status
  unconditionalCallForwardingStatus | Unconditional call forwarding status.

## Property Documentation

- (CSCallForwardingStatus*) busyCallForwardingStatus
| read nonatomic assign

The busy call forward parameter for Enhanced call forward.

- (CSCallForwardingStatus*) noReplyCallForwardingStatus
| read nonatomic assign

The no reply call forward parameter for Enhanced call forward.

- (NSString*) ownerExtension
| read nonatomic assign

The owner extension this feature status is targeted for.

Populated only if different from the local user's extension.

- (CSFeatureStatus) status
| read nonatomic assign

The feature's status.

- (CSCallForwardingStatus*) unconditionalCallForwardingStatus
| read nonatomic assign

The unconditional call forward parameter for Enhanced call forward.

The documentation for this class was generated from the following file:

- CSEnhancedCallForwardingStatus.h